HaarClassifierNodeDescriptor32 Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp>`

## Public Member Functions

__host__ NCVStatus | create (Ncv32f leafValue)
__host__ NCVStatus | create (Ncv32u offsetHaarClassifierNode)
__host__ Ncv32f | getLeafValueHost (void)
__host__ bool | isLeaf ()
__device__ __host__ Ncv32u | getNextNodeOffset (void)

## Public Attributes

uint1 | _ui1

## Detailed Description

Definition at line 167 of file NCVHaarObjectDetection.hpp.

## Member Function Documentation

## create() [1/2]

__host__ NCVStatus HaarClassifierNodeDescriptor32::create | ( | Ncv32f | leafValue | ) |

inline

Definition at line 171 of file NCVHaarObjectDetection.hpp.

## create() [2/2]

__host__ NCVStatus HaarClassifierNodeDescriptor32::create | ( | Ncv32u | offsetHaarClassifierNode | ) |

inline

Definition at line 177 of file NCVHaarObjectDetection.hpp.

## getLeafValueHost()

__host__ Ncv32f HaarClassifierNodeDescriptor32::getLeafValueHost | ( | void |  | ) |

inline

Definition at line 183 of file NCVHaarObjectDetection.hpp.

## getNextNodeOffset()

__device__ __host__ Ncv32u HaarClassifierNodeDescriptor32::getNextNodeOffset | ( | void |  | ) |

inline

Definition at line 203 of file NCVHaarObjectDetection.hpp.

## isLeaf()

__host__ bool HaarClassifierNodeDescriptor32::isLeaf | ( |  | ) |

inline

Definition at line 188 of file NCVHaarObjectDetection.hpp.

## Member Data Documentation

## _ui1

uint1 HaarClassifierNodeDescriptor32::_ui1

Definition at line 169 of file NCVHaarObjectDetection.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp